[Section change request] Move linux-headers-generic to section metapackages

Bug #988447 reported by Flames_in_Paradise on 2012-04-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-meta (Ubuntu)
Medium
Unassigned
Natty
Undecided
Tim Gardner
Oneiric
Undecided
Tim Gardner
Precise
Undecided
Tim Gardner
Quantal
Medium
Unassigned
linux-meta-ti-omap4 (Ubuntu)
Undecided
Tim Gardner
Natty
Undecided
Tim Gardner
Oneiric
Undecided
Tim Gardner
Precise
Undecided
Tim Gardner
Quantal
Undecided
Tim Gardner

Bug Description

Hi there,

just wondering how hard it is to identy the cause of a not working nvidia-graphis driver using the Softwarecenter which does quit-install, I realized that the package

linux-headers-generic

is missing out in the Section "Meta-Packages"

I'd like to suggest this request as an ease of installation to have i added there.

Excuses: "quit-install" should read quiet-install in SWC

summary: - (Section change request] Move linux-headers-generic to section
+ [Section change request] Move linux-headers-generic to section
metapackages
Brad Figg (brad-figg) on 2012-04-25
affects: linux-meta (Ubuntu) → linux (Ubuntu)
tags: added: precise

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 988447

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

The autoresponder is ...

Kernel-headers are not supplied as within a standard installation. Therefore the compilation of the closed-source nvidia-graphics fails within SWC without hint.

lookin' up where the package linux-headers-generic (meta-package) is sectioned now reveals it's in (devel)

http://packages.ubuntu.com/search?keywords=linux-headers-generic&searchon=names&suite=all&section=all

I have no idea what files should get attached, if it is as easy as that to look it up...

Setting to confirmed.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium

Just realized this regards the package

 * linux-headers-generic-pae

in the same matter.

ref.: http://packages.ubuntu.com/search?keywords=linux-headers-generic-pae&searchon=names&suite=all&section=all

tags: added: quantal
Tim Gardner (timg-tpi) on 2012-06-22
Changed in linux (Ubuntu Quantal):
status: Confirmed → Fix Released
Tim Gardner (timg-tpi) on 2012-06-22
Changed in linux (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) on 2012-06-25
affects: linux (Ubuntu Precise) → linux-meta (Ubuntu Precise)
Changed in linux-meta-ti-omap4 (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Changed in linux-meta (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux-meta-ti-omap4 (Ubuntu Quantal):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Tim Gardner (timg-tpi) on 2012-06-25
Changed in linux-meta (Ubuntu Natty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux-meta (Ubuntu Oneiric):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux-meta-ti-omap4 (Ubuntu Natty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux-meta-ti-omap4 (Ubuntu Oneiric):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) on 2012-06-25
Changed in linux-meta (Ubuntu Oneiric):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2012-06-25
Changed in linux-meta-ti-omap4 (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in linux-meta (Ubuntu Natty):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2012-06-25
Changed in linux-meta-ti-omap4 (Ubuntu Oneiric):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-ti-omap4 - 3.4.0.202.3

---------------
linux-meta-ti-omap4 (3.4.0.202.3) quantal-proposed; urgency=low

  * Bump ABI
  * Move all header meta packages into Section: metapackages
    - LP: #988447
 -- Leann Ogasawara <email address hidden> Thu, 28 Jun 2012 12:10:56 -0700

Changed in linux-meta-ti-omap4 (Ubuntu Quantal):
status: Fix Committed → Fix Released

pow! deeply impressed :-O This is great. hopefully upstreamed too.

tks a lot for this piece of tacky work & the acceptance.

Best wishes. Heads up.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-ti-omap4 - 3.0.0.1213.12

---------------
linux-meta-ti-omap4 (3.0.0.1213.12) oneiric-proposed; urgency=low

  [ Herton Ronaldo Krzesinski ]

  * bump ABI

  [ Tim Gardner ]

  * Move all header meta packages into Section: metapackages
    - LP: #988447
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 09 Jul 2012 16:41:54 -0300

Changed in linux-meta-ti-omap4 (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-ti-omap4 - 3.2.0.1416.16

---------------
linux-meta-ti-omap4 (3.2.0.1416.16) precise-proposed; urgency=low

  [ Tim Gardner ]

  * Move all header meta packages into Section: metapackages
    - LP: #988447

  [ Herton Ronaldo Krzesinski ]

  * Bump ABI
 -- Herton Ronaldo Krzesinski <email address hidden> Thu, 05 Jul 2012 12:26:54 -0300

Changed in linux-meta-ti-omap4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 3.0.0.23.27

---------------
linux-meta (3.0.0.23.27) oneiric-proposed; urgency=low

  [ Luis Henriques ]

  * Bump ABI

  [ Tim Gardner ]

  * UBUNTU: No meta packages belong in the restricted component
    - LP: #1016702
  * UBUNTU: Move all header meta packages into Section: metapackages
    - LP: #988447
 -- Luis Henriques <email address hidden> Tue, 03 Jul 2012 19:25:38 +0100

Changed in linux-meta (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 3.2.0.27.29

---------------
linux-meta (3.2.0.27.29) precise-proposed; urgency=low

  [ Luis Henriques ]

  * Bump ABI

  [ Tim Gardner ]

  * UBUNTU: No meta packages belong in the restricted component
    - LP: #1016702
  * UBUNTU: Move all header meta packages into Section: metapackages
    - LP: #988447
 -- Luis Henriques <email address hidden> Mon, 02 Jul 2012 11:04:51 +0100

Changed in linux-meta (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 2.6.38.16.31

---------------
linux-meta (2.6.38.16.31) natty-proposed; urgency=low

  [ Tim Gardner ]

  * Move all header meta packages into Section: metapackages
    - LP: #988447
  * No meta packages belong in the restricted component
    - LP: #1016702

  [ Luis Henriques ]

  * Fix Vcs-Git in linux-natty-meta
    - LP: #999726
  * Bump ABI
 -- Luis Henriques <email address hidden> Thu, 06 Sep 2012 18:05:02 +0100

Changed in linux-meta (Ubuntu Natty):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) on 2012-10-23
Changed in linux-meta-ti-omap4 (Ubuntu Natty):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers